from django.http import JsonResponse
from django.views import View
from django.views.generic.list import MultipleObjectMixin

from main.models import Transaction
from main.views import UserMixin


class TransactionListView(UserMixin, MultipleObjectMixin, View):
    model = Transaction

    def get(self, request, *args, **kwargs):
        return JsonResponse({"transactions": list(self.get_queryset().values())})
